/*	SETUP & RUN
*	
*	Prepared by Hannah Randolph and Chirsty McFadyen
*
*	Started 12 Nov 2024
*	Modified 25 March 2025
*
*	PURPOSE:
*	Sets up and runs code to implement a new method of imputing Scottish Child Payment
*	in the 2022/23 FRS and HBAI data. 
*
*/
******************************************************************************** 
***	SET UP 
******************************************************************************** 

// GLOBALS 
	* Project file path
	global projdir "~\OneDrive - University of Strathclyde\Documents\01 Projects\2024-07 abrdn child poverty modelling\Dissemination\Replication package"
	
	* Parameters for SCP imputation
	global reps = 1000		// number of times to replicate imputation 
	global tu05 = 0.95		// take-up rate for children aged 0-5
	global tu615 = 0.77		// take-up rate for children aged 6-15
	
// INSTALL PROGRAMMES
ssc install unique

// SET RANDOM SEED
set seed 65463841

******************************************************************************** 
***	RUN ANALYSIS
******************************************************************************** 

do "${projdir}\do-files\imputeSCP.do"		

